Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions
CommonFG Class Referenceabstract

`#include <c++/src/H5CommonFG.h>`

## Detailed Description

CommonFG is an abstract base class of H5Group.

Inheritance diagram for CommonFG:

## Public Member Functions
| CommonFG ()
virtual hid_t | getLocId () const =0
ArrayType | openArrayType (const char *name) const
ArrayType | openArrayType (const H5std_string &name) const
CompType | openCompType (const char *name) const
CompType | openCompType (const H5std_string &name) const
DataType | openDataType (const char *name) const
DataType | openDataType (const H5std_string &name) const
EnumType | openEnumType (const char *name) const
EnumType | openEnumType (const H5std_string &name) const
FloatType | openFloatType (const char *name) const
FloatType | openFloatType (const H5std_string &name) const
IntType | openIntType (const char *name) const
IntType | openIntType (const H5std_string &name) const
StrType | openStrType (const char *name) const
StrType | openStrType (const H5std_string &name) const
VarLenType | openVarLenType (const char *name) const
VarLenType | openVarLenType (const H5std_string &name) const
virtual void | throwException (const H5std_string &func_name, const H5std_string &msg) const =0
| For subclasses, H5File and Group, to throw appropriate exception.
virtual | ~CommonFG ()=default

## Protected Member Functions
virtual void | p_setId (const hid_t new_id)=0

## Constructor & Destructor Documentation

## ◆ CommonFG()

CommonFG | ( |  | ) |

## ◆ ~CommonFG()

virtual ~CommonFG | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getLocId()

virtual hid_t getLocId | ( |  | ) | const
| pure virtual

For subclasses, H5File and Group, to return the correct object id, i.e. file or group id.

Implemented in Group, and H5File.

## ◆ openArrayType() [1/2]

ArrayType openArrayType | ( | const char * | name | ) | const

## ◆ openArrayType() [2/2]

ArrayType openArrayType | ( | const H5std_string & | name | ) | const

## ◆ openCompType() [1/2]

CompType openCompType | ( | const char * | name | ) | const

## ◆ openCompType() [2/2]

CompType openCompType | ( | const H5std_string & | name | ) | const

## ◆ openDataType() [1/2]

DataType openDataType | ( | const char * | name | ) | const

## ◆ openDataType() [2/2]

DataType openDataType | ( | const H5std_string & | name | ) | const

## ◆ openEnumType() [1/2]

EnumType openEnumType | ( | const char * | name | ) | const

## ◆ openEnumType() [2/2]

EnumType openEnumType | ( | const H5std_string & | name | ) | const

## ◆ openFloatType() [1/2]

FloatType openFloatType | ( | const char * | name | ) | const

## ◆ openFloatType() [2/2]

FloatType openFloatType | ( | const H5std_string & | name | ) | const

## ◆ openIntType() [1/2]

IntType openIntType | ( | const char * | name | ) | const

## ◆ openIntType() [2/2]

IntType openIntType | ( | const H5std_string & | name | ) | const

## ◆ openStrType() [1/2]

StrType openStrType | ( | const char * | name | ) | const

## ◆ openStrType() [2/2]

StrType openStrType | ( | const H5std_string & | name | ) | const

## ◆ openVarLenType() [1/2]

VarLenType openVarLenType | ( | const char * | name | ) | const

## ◆ openVarLenType() [2/2]

VarLenType openVarLenType | ( | const H5std_string & | name | ) | const

## ◆ p_setId()

virtual void p_setId | ( | const hid_t | new_id | ) |
| protected pure virtual

Implemented in Group, and H5File.

## ◆ throwException()

virtual void throwException | ( | const H5std_string & | func_name,
|  | const H5std_string & | msg ) const
| pure virtual

For subclasses, H5File and Group, to throw appropriate exception.

Implemented in Group, and H5File.

The documentation for this class was generated from the following file:

- c++/src/H5CommonFG.h